Name:           python-hgitaly
Version:        17.8.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Server-side implementation of Gitaly protocol for Mercurial

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://foss.heptapod.net/heptapod/hgitaly
Source:         %{pypi_source hgitaly}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'hgitaly' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-hgitaly
Summary:        %{summary}

%description -n python3-hgitaly %_description


%prep
%autosetup -p1 -n hgitaly-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-hgitaly -f %{pyproject_files}


%changelog
%autochangelog